Package Gnumed :: Package pycommon :: Module gmBackendListener |
[frames] | no frames]

# Module gmBackendListener

source code

GNUmed database backend listener.

This module implements threaded listening for asynchronuous notifications from the database backend.

Author: H. Herb <hherb@gnumed.net>, K.Hilbert <karsten.hilbert@gmx.net>

License: GPL v2 or later

Classes
| gmBackendListener

Variables
| signals2listen4 = ``[``u'``db_maintenance_warning``'``,` `u'``db_maintenance``...``
| __package__ = ``'``Gnumed.pycommon``'``

Imports: sys, time, threading, select, logging, gmDispatcher, gmBorg

Variables Details

  ### signals2listen4 Value:
      [u'db_maintenance_warning',
       u'db_maintenance_disconnect',
       u'gm_table_mod']